Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
com.tritondigital.player.CuePoint Class Reference

Cue point keys. More...

## Static Public Attributes
static final String | CUE_TYPE = "cue_type"
| String - Cue point type
static final String | CUE_TYPE_VALUE_TRACK = "track"
| Music track/song.
static final String | CUE_TYPE_VALUE_AD = "ad"
| Advertisement / commercial.
static final String | CUE_TYPE_VALUE_SPEECH = "speech"
| Speech segments / news.
static final String | CUE_TYPE_VALUE_SWEEPER = "sweeper"
| Sweeper segment.
static final String | CUE_TYPE_VALUE_AUDIO = "audio"
| Audio stream information.
static final String | CUE_TYPE_VALUE_SIDEKICK = "sidekick"
| Sidekick application cue points.
static final String | CUE_TYPE_VALUE_RECORDING = "recording"
| Media Recorder application cue points.
static final String | CUE_TYPE_VALUE_PROFANITY = "profanity"
| Profanity removal application cue points.
static final String | CUE_TYPE_VALUE_CUSTOM = "custom"
| Custom (user-defined)
static final String | CUE_TYPE_VALUE_UNKNOWN = "unknown"
| Unknown cue point type.
static final String | CUE_ID = "cue_id"
| String - Cue point ID
static final String | CUE_TITLE = "cue_title"
| String - Cue point title
static final String | CUE_DISPLAY = "cue_display"
| boolean - Controls whether or not this cue point should be displayed in players.
static final String | CUE_START_TIMESTAMP = "cue_time_start"
| long - Cue point start timestamp
static final String | CUE_TIME_DURATION = "cue_time_duration"
| int - Cue point duration in milliseconds
static final String | POSITION_IN_STREAM = "timestamp"
| int - Position in the stream in milliseconds
static final String | PROGRAM_ID = "program_id"
| String - Unique program ID
static final String | PROGRAM_TITLE = "program_title"
| String - Program title
static final String | PROGRAM_HOMEPAGE_URL = "program_homepage_url"
| String - Program homepage URL
static final String | PROGRAM_IMAGE_URL = "program_image_url"
| String - Program image URL
static final String | PROGRAM_START_TIMESTAMP = "program_time_start"
| long - Program start timestamp
static final String | PROGRAM_TIME_DURATION = "program_time_duration"
| int - Program duration in milliseconds
static final String | PROGRAM_HOST_1_ID = "program_host_1_id"
| String - Host ID
static final String | PROGRAM_HOST_2_ID = "program_host_2_id"
static final String | PROGRAM_HOST_3_ID = "program_host_3_id"
static final String | PROGRAM_HOST_1_NAME = "program_host_1_name"
| String - Host name
static final String | PROGRAM_HOST_2_NAME = "program_host_2_name"
static final String | PROGRAM_HOST_3_NAME = "program_host_3_name"
static final String | PROGRAM_HOST_1_HOMEPAGE_URL = "program_host_1_homepage_url"
| String - Host homepage URL
static final String | PROGRAM_HOST_2_HOMEPAGE_URL = "program_host_2_homepage_url"
static final String | PROGRAM_HOST_3_HOMEPAGE_URL = "program_host_3_homepage_url"
static final String | PROGRAM_HOST_1_PICTURE_URL = "program_host_1_picture_url"
| String - Host picture URL
static final String | PROGRAM_HOST_2_PICTURE_URL = "program_host_2_picture_url"
static final String | PROGRAM_HOST_3_PICTURE_URL = "program_host_3_picture_url"
static final String | PROGRAM_GUEST_1_ID = "program_guest_1_id"
| String - Guest ID
static final String | PROGRAM_GUEST_2_ID = "program_guest_2_id"
static final String | PROGRAM_GUEST_3_ID = "program_guest_3_id"
static final String | PROGRAM_GUEST_1_NAME = "program_guest_1_name"
| String - Guest name
static final String | PROGRAM_GUEST_2_NAME = "program_guest_2_name"
static final String | PROGRAM_GUEST_3_NAME = "program_guest_3_name"
static final String | PROGRAM_GUEST_1_HOMEPAGE_URL = "program_guest_1_homepage_url"
| String - Guest homepage URL
static final String | PROGRAM_GUEST_2_HOMEPAGE_URL = "program_guest_2_homepage_url"
static final String | PROGRAM_GUEST_3_HOMEPAGE_URL = "program_guest_3_homepage_url"
static final String | PROGRAM_GUEST_1_PICTURE_URL = "program_guest_1_picture_url"
| String - Guest picture URL
static final String | PROGRAM_GUEST_2_PICTURE_URL = "program_guest_2_picture_url"
static final String | PROGRAM_GUEST_3_PICTURE_URL = "program_guest_3_picture_url"
static final String | TRACK_ID = "track_id"
| String - Unique track ID
static final String | TRACK_ARTIST_NAME = "track_artist_name"
| String - Track artist name
static final String | TRACK_ALBUM_NAME = "track_album_name"
| String - Album name
static final String | TRACK_ALBUM_YEAR = "track_album_year"
| int - Year of album published
static final String | TRACK_ALBUM_PUBLISHER = "track_album_publisher"
| String - Name of album publisher (label)
static final String | TRACK_GENRE = "track_genre"
| String - Track genre
static final String | TRACK_COVER_URL = "track_cover_url"
| String - Track cover image URL
static final String | TRACK_PRODUCT_URL = "track_product_url"
| String - Track product page URL
static final String | TRACK_NOWPLAYING_URL = "track_nowplaying_url"
| String - Link to XML containing Enhanced Now Playing information
static final String | TRACK_ISRC = "track_isrc"
| String - Track ISRC code (12 characters, without the hyphens)
static final String | TRACK_FORMAT = "track_format"
| String - Track format
static final String | TRACK_FORMAT_VALUE_AUDIO = "audio"
| Possible CuePoint.TRACK_FORMAT value.
static final String | TRACK_FORMAT_VALUE_AUDIO_VIDEO = "audio+video"
static final String | TRACK_FORMAT_VALUE_VIDEO = "video"
static final String | AD_ID = "ad_id"
| String - Ad unique ID
static final String | AD_TYPE = "ad_type"
| String - Ad type
static final String | AD_TYPE_VALUE_BREAK = "break"
| Possible CuePoint.AD_TYPE value.
static final String | AD_TYPE_VALUE_ENDPOINT = "endbreak"
static final String | AD_TYPE_VALUE_TARGETSPOT = "targetspot"
static final String | AD_URL = "ad_url"
| String - Ad content URL (player-dependent).
static final String | AD_URL_1 = "ad_url_1"
| String - Additional content URL (player-dependent)
static final String | AD_URL_2 = "ad_url_2"
static final String | AD_URL_3 = "ad_url_3"
static final String | AD_REPLACE = "ad_replace"
static final String | AD_VAST = "ad_vast"
| String - Inlined VAST xml
static final String | AD_VAST_URL = "ad_vast_url"
| String - Ad request URL
static final String | SWEEPER_ID = "sweeper_id"
| String - A unique ID for this sweeper
static final String | SWEEPER_TYPE = "sweeper_type"
| String - Sweeper type identifier
static final String | SWEEPER_TYPE_VALUE_SWEEPER = "sweeper"
| Possible CuePoint.SWEEPER_TYPE value.
static final String | SWEEPER_TYPE_VALUE_BUMPER = "bumper"
static final String | SWEEPER_TYPE_VALUE_PROMO = "promo"
static final String | SWEEPER_TYPE_VALUE_STATION_ID = "stationid"
static final String | SWEEPER_TYPE_VALUE_LINER = "liner"
static final String | SWEEPER_TYPE_VALUE_JINGLE = "jingle"
static final String | LEGACY_AD_IMG_URL = "legacy_ad_image_url"
| String - Deprecated key
static final String | LEGACY_BUY_URL = "legacy_buy_url"
| String - Deprecated key
static final String | LEGACY_TYPE = "legacy_type"
| String - Deprecated key

## Detailed Description

Cue point keys.

## Member Data Documentation

## ◆ AD_URL

final String com.tritondigital.player.CuePoint.AD_URL = "ad_url"
| static

String - Ad content URL (player-dependent).

Depending on the player, this URL can be used as a link to an IFRAME, a simple image, etc.

## ◆ CUE_DISPLAY

final String com.tritondigital.player.CuePoint.CUE_DISPLAY = "cue_display"
| static

boolean - Controls whether or not this cue point should be displayed in players.

For SHOUTcast V1 metadata, it controls whether or not the MediaGateway generates SHOUTcast V1 metadata.

The documentation for this class was generated from the following file:

- player/src/main/java/com/tritondigital/player/CuePoint.java